Subject: bug#20299: 25.0.50; File notification is not working

From: Michael Albinus <[email-masked]>
Date: Thu, 16 Apr 2015 16:25:30 +0200

Sean McAfee <[email-masked]> writes:

[Pls keep the Cc for the archives]

> Anyway, here's what I just did:
>
> * Started Emacs with "emacs -Q"
> * (require 'filenotify)
> * (require 'trace)
> * Evaluated your (dolist ...) expression from above
> * (require 'auto-revert)

Not needed.

> * Visit a file

Here you must apply "M-x auto-revert-mode".

> * Append to the file by executing a shell command
> * Evaluated (auto-revert-handler)
>
> The file was not reverted, and the complete list of open buffers at
> that time were foo.txt (visiting my test file), *scratch*, *Messages*,
> *Shell Command Output*, and *Backtrace*. Nothing trace-related that I
> can see. It appears that none of the file-notify-* functions are ever
> called, even though I built Emacs with the -
> -with-file-notification=inotify configuration switch.
>
> --Sean

Best regards, Michael.